import { defineStore } from "pinia";
import { api } from "@/plugins/api";
import { ApiV1ChatPublicGet200Response } from "@/api";

export const useChatStore = defineStore("chats", {
  state: () => ({
    chats: {
      value: {
        data: [] as ApiV1ChatPublicGet200Response["data"],
      },
    } as ApiV1ChatPublicGet200Response,
  }),
  actions: {
    getChats() {
      api.Chat.apiV1ChatsGet().then((response) => {
        this.chats = response.data;
      });
    },
  },
});
